<template>
  <div>
    <div class="row">
      <div class="grey col-xs-6">Спот-аукционы:</div>
      <div class="numbers col-xs-6">
        <span v-for="(item, index) in items" :key="item.number">
          {{index === 0 ? '' : ','}} {{ item.number }}
        </span>
      </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
          Выбранные аукционы будут опубликованы.
        </div>
      </div>
    <div class="line">
      <ob-button @click="postDrafts" label="Опубликовать"/>
      <ob-button @click="$emit('close')" class="ml-20" :type="'flat'" label="Отмена"/>
    </div>
  </div>
</template>

<script>
import api from '@/api';
import ObButton from 'common-components/src/obComponents/obButton';
export default {
  name: "ConfirmModal",
  components: {
    ObButton
  },
  props: {
    items: {
      type: Array,
      default: () => []
    }
  },
  methods: {
    async postDrafts() {
      let uuids = this.items.map(value => {
        return value.uuid
      })
      try {
        let data = await api.spotAuction.publicSpotItemDrafts(uuids);
        let _success = []
        data.data.forEach(value=>{
          if(value.error === null){
            _success.push(value)
          }
        })
        this.$notification({
          type: 'system_notification_success',
          message: 'Загружено новых спот-аукционов: ' + _success.length
        })
        this.$emit('close')
        return data
      }
      catch (e) {
        this.$notification({
          type: 'system_notification_error',
          message: 'Ошибка загрузки данных'
        })
        this.$emit('close')
      }}
  }
}
</script>

<style scoped lang="scss">
  .grey{
    color: $gray-slate;
  }
  .mt-20{
    margin-top: 20px;
  }
  .ml-20{
    margin-left: 20px;
  }
  .line{
    display: flex;
    margin-top: 40px;
  }
</style>